export declare const useA: () => {
    run(): Promise<void>;
};
export declare const useActionContext: () => {
    setVisible(visible: boolean, confirm?: boolean): void;
    button?: any;
    visible?: boolean;
    openMode?: "drawer" | "modal" | "page" | "sheet";
    snapshot?: boolean;
    openSize?: import("./context").OpenSize;
    containerRefKey?: string;
    formValueChanged?: boolean;
    setFormValueChanged?: (v: boolean) => void;
    fieldSchema?: import("@tachybase/schema").Schema;
    drawerProps?: import("antd").DrawerProps;
    modalProps?: import("antd").ModalProps;
};
export declare const useCloseAction: () => {
    run(): Promise<void>;
};
export declare const useLinkageAction: () => boolean;
